from parallels.core.registry import Registry
from parallels.core.actions.backup.create_converted import CreateConverted


class CustomPanelCreateConvertedDumpFromRawDump(CreateConverted):
	"""Create converted Plesk configuration dump file out of raw Plesk configuration dump file"""
	@staticmethod
	def _get_raw_backup_filename(backup_id):
		return Registry.get_instance().get_context().conn.get_plesk_configuration_dump_path(backup_id)